.trust-markers-wrapper {
  .pin-spacer {
    background: var(--neutrals-sub-texts-paragraphs);;
  }
}

.trust-markers {
  overflow: hidden;

  .trust-markers__wrapper {
    display: flex;
    width: 100%;
    overflow: visible;
    will-change: transform;
    max-height: 100vh;
    background-color: var(--neutrals-sub-texts-paragraphs);

    @media (width >= 768px) {
      height: calc(100vh - var(--nav-height));
    }
  }

  .trust-markers__slide {
    flex: 0 0 100%;
    position: relative !important;
    display: flex;
    flex-direction: column;
    align-items: center;
    justify-content: space-between;
    background-color: var(--bg-image);
    backface-visibility: hidden;
    flex-shrink: 0;

    @media (width >= 768px) {
      flex-direction: row;
      align-items: flex-end;
      justify-content: flex-end;
    }

    picture {
      width: 100%;
      height: 100%;

      .trust-markers__image {
        width: 100%;
        height: 100%;
        object-fit: cover;
      }
    }

    .trust-markers__content {
      position: absolute;
      width: 100%;
      height: 100%;
      background: linear-gradient(180deg, rgb(0 0 0 / 0%) 53.09%, rgb(0 0 0 / 70%) 84.62%);
      text-align: left;
      color: var(--tertiary-color);
      display: flex;
      align-items: flex-end;
      gap: var(--sizing-m);
      padding: calc(80px + var(--nav-height)) 20px 20px;
      transition: padding 0.4s ease-in;

      @media (width >= 768px) {
        padding: 50px var(--container-margin);
        text-align: left;
        gap: var(--sizing-s);
      }

      .trust-markers__content-wrapper {
        .trust-markers__title {
          font-size: var(--fs-large);
          font-weight: var(--fw-400);
          line-height: 23.6px;

          @media (width >= 768px) {
            font-size: var(--fs-xxlarge);
            line-height: 120%;
            letter-spacing: -0.48px;
          }
        }

        .trust-markers__description {
          margin-top: 12px;
          font-size: var(--fs-xsmall);
          font-weight: var(--fw-400);
          line-height: 14.4px;
          color: var(--static-interactive-dots);

          @media (width >= 768px) {
            font-size: var(--fs-medium);
            font-weight: var(--fw-300);
            line-height: 19.2px;
            padding: 0;
          }
        }
      }
    }
  }
}
